<?php

declare(strict_types=1);

namespace Dedi\SyliusMegamenuPlugin\Menu;

use Sylius\Bundle\UiBundle\Menu\Event\MenuBuilderEvent;

final class AdminMenuListener
{
    public function addAdminMenuItems(MenuBuilderEvent $event): void
    {
        $menu = $event->getMenu();

        $configuration = $menu->getChild('configuration');

        if (null !== $configuration) {
            $configuration
                ->addChild('dedi_megamenu_menu', ['route' => 'dedi_megamenu_admin_menu_index'])
                ->setLabel('dedi_megamenu.ui.manage_menu')
                ->setLabelAttribute('icon', 'sitemap')
            ;
        }
    }
}
